package com.ruoyi.finance.excel;

import com.ruoyi.common.annotation.Excel;

public class FleetExcel {

    /** 对账人 */
    @Excel(name = "对账人")
    private String userName;

    /** 小计月份 */
    private String feelMonthName;

    /** 客户 */
    @Excel(name = "客户")
    private String corpName;

    /**
     * 月份
     */
    @Excel(name = "月份")
    private String feelMonth;

    /**
     * 仓储费
     */
    @Excel(name = "仓储费")
    private String ccf;

    /**
     * 出入库费用
     */
    @Excel(name = "出入库费用")
    private String fAmount;

    /**
     * 合计人民币
     */
    @Excel(name = "合计人民币")
    private String totalAmount;

    /**
     * 账期
     */
    @Excel(name = "账期")
    private String accountPeriod;

    /**
     * 协议到期日
     */
    @Excel(name = "协议到期日")
    private String maturity;

    /**
     * 开发票情况
     */
    @Excel(name = "开发票情况")
    private String isInvoice;

    /**
     * 是否超账期
     */
    @Excel(name = "是否超账期")
    private String isAccountPeriod;

    /**
     * 库存(吨)
     */
    @Excel(name = "库存(吨)")
    private String stock;

    /**
     * 应收款催收结果
     */
    @Excel(name = "应收款催收结果")
    private String collectionResult;

    /**
     * 总开票金额
     */
    private String invamount;

    public String getFeelMonthName() {
        return feelMonthName;
    }

    public void setFeelMonthName(String feelMonthName) {
        this.feelMonthName = feelMonthName;
    }

    public String getInvamount() {
        return invamount;
    }

    public void setInvamount(String invamount) {
        this.invamount = invamount;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userId) {
        this.userName = userId;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getCcf() {
        return ccf;
    }

    public void setCcf(String ccf) {
        this.ccf = ccf;
    }

    public String getFeelMonth() {
        return feelMonth;
    }

    public void setFeelMonth(String feelMonth) {
        this.feelMonth = feelMonth;
    }

    public String getfAmount() {
        return fAmount;
    }

    public void setfAmount(String fAmount) {
        this.fAmount = fAmount;
    }

    public String getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(String totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getAccountPeriod() {
        return accountPeriod;
    }

    public void setAccountPeriod(String accountPeriod) {
        this.accountPeriod = accountPeriod;
    }

    public String getMaturity() {
        return maturity;
    }

    public void setMaturity(String maturity) {
        this.maturity = maturity;
    }

    public String getIsInvoice() {
        return isInvoice;
    }

    public void setIsInvoice(String isInvoice) {
        if ("T".equals(isInvoice)) {
            this.isInvoice = "已开发票";
        } else {
            this.isInvoice = "未开发票";
        }
    }

    public String getIsAccountPeriod() {
        return isAccountPeriod;
    }

    public void setIsAccountPeriod(String isAccountPeriod) {
        this.isAccountPeriod = isAccountPeriod;
    }

    public String getStock() {
        return stock;
    }

    public void setStock(String stock) {
        this.stock = stock;
    }

    public String getCollectionResult() {
        return collectionResult;
    }

    public void setCollectionResult(String collectionResult) {
        this.collectionResult = collectionResult;
    }

    @Override
    public String toString() {
        return "FleetExcel{" +
                "userName='" + userName + '\'' +
                ", feelMonthName='" + feelMonthName + '\'' +
                ", corpName='" + corpName + '\'' +
                ", feelMonth='" + feelMonth + '\'' +
                ", ccf='" + ccf + '\'' +
                ", fAmount='" + fAmount + '\'' +
                ", totalAmount='" + totalAmount + '\'' +
                ", accountPeriod='" + accountPeriod + '\'' +
                ", maturity='" + maturity + '\'' +
                ", isInvoice='" + isInvoice + '\'' +
                ", isAccountPeriod='" + isAccountPeriod + '\'' +
                ", stock='" + stock + '\'' +
                ", collectionResult='" + collectionResult + '\'' +
                ", invamount='" + invamount + '\'' +
                '}';
    }
}
